Arduino

Reference Language | Libraries | Comparison | Changes

Esplora

## readAccelerometer()

#### Description

Reads values from the Esplora's accelerometer. Each of the three axes are accessed independently.

#### Syntax

Esplora.readAccelerometer(axis)

#### Parameters

axis : char, determines what axis to read.

X_AXIS | to read the X-axis value
Y_AXIS | to read the Y-axis value
Z_AXIS | to read the Z-axis value

#### Returns

int : the value of the readings on the chosen axis. The accelerometer returns zero when it is perpendicular to the direction of gravity. Positive or negative values result when it is accelerates in one of the two directions of the axis.

#### Example

#include <Esplora.h>
void setup()
{
Serial.begin(9600);
}
void loop()
{
int x_axis = Esplora.readAccelerometer(X_AXIS);
int y_axis = Esplora.readAccelerometer(Y_AXIS);
int z_axis = Esplora.readAccelerometer(Z_AXIS);
Serial.print("x: ");
Serial.print(x_axis);
Serial.print("\ty: ");
Serial.print(y_axis);
Serial.print("\tz: ");
Serial.println(z_axis);
delay(500);
}
[Get Code]
Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

### Share

### This link has expired.
Please re-subscribe to our Newsletters.

### Subscribe to our Newsletters

Email

Please enter a valid email to subscribe

Arduino Newsletter
Arduino Store Newsletter

### Confirm your email address

We need to confirm your email address.
To complete the subscription, please click the link in the email we just sent you.

Thank you for subscribing!

Arduino
via Egeo 16
Torino, 10131
Italy

###### Newsletter

- ©2015 Arduino
- Copyright Notice
- Contact us
- Careers